## org.springframework.jdbc.datasource.embedded
Interface DataSourceFactory

    public interface DataSourceFactory

Encapsulates the creation of a particular DataSource implementation, such as a `SimpleDriverDataSource` or connection pool such as Apache DBCP or C3P0.

Call `getConnectionProperties()` to configure normalized DataSource properties before calling `getDataSource()` to actually get the configured DataSource instance.

Since:
  3.0
Author:
  Keith Donald

Method Summary
`ConnectionProperties` `getConnectionProperties()` Allows properties of the DataSource to be configured.
`DataSource` `getDataSource()` Returns the DataSource with the connection properties applied.

Method Detail

### getConnectionProperties

    ConnectionProperties getConnectionProperties()

  Allows properties of the DataSource to be configured.

### getDataSource

    DataSource getDataSource()

  Returns the DataSource with the connection properties applied.